Subject: bug#49784: 27.2; mouse-2 error with "No cross-reference here"

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 31 Jul 2021 13:29:13 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> like in any other buffer it's not bound.  I understand that the binding
> was done to be helpful, but I'm just not sure that it's helpful to make
> *Help* buffers behave weirdly.

After pondering this some more, I don't think the having `C-h <mouse-2>'
in *Help* buffers giving a vaguely helpful (but ultimately confusing)
message warrants binding useless commands (that get in the way of
legitimate use cases, like globally rebinding <mouse-2>) makes that much
sense.

So I've now removed the bindings and made the commands obsolete.  We'll
see whether there's any negative reactions to this, I guess...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no